CommoditySettings Class Reference

global repository for run-time library settings More...

`#include <ql/experimental/commodities/commoditysettings.hpp>`

Inheritance diagram for CommoditySettings:
[legend]

## Public Member Functions

Currency & | currency ()
UnitOfMeasure & | unitOfMeasure ()

## Friends

class | Singleton< CommoditySettings >

## Additional Inherited Members

Static Public Member Functions inherited from Singleton< CommoditySettings >
static CommoditySettings & | instance ()
| access to the unique instance

## Detailed Description

global repository for run-time library settings